<template>
  <div class="column-switcher">
    <button
      v-for="col in columns"
      :key="col.id"
      :class="{'active': col.showColumn}"
      class="column-switcher__button"
      @click="$emit('toggle-column', col.id)"
    >
      {{ col.title }}
    </button>
  </div>
</template>

<script setup>
defineProps({
  columns: {
    type: Array,
    default: () => []
  }
})

defineEmits({
  'toggle-column': null
})
</script>

<style scoped>
.column-switcher {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 8px 12px;
  padding: 4px;
  
  &__button {
    display: flex;
    align-items: center;
    column-gap: 4px;
    cursor: pointer;
    padding: 4px 8px;
    border-radius: 6px;
    background-color: gray;
    color: lightgray;
    
    &.active {
      background-color: var(--main-blue);
      color: var(--main-white);
    }
  }
}
</style>
